$:.unshift(File.expand_path("../", __FILE__))

module Matador
  autoload :VERSION, "matador/version"
  autoload :Fetcher, "matador/fetcher"

  def self.cache_store=(cache_store_arg)
    @@cache_store = cache_store_arg
  end

  def self.cache_store
    @@cache_store
  end

  def self.fetch(key, options={}, &block)
    Matador::Fetcher.new(key, options, block).perform 
  end
end

